Bug 737759 - pulseaudio struggling audio at ThinkPad T61
Summary: pulseaudio struggling audio at ThinkPad T61
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 19
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 03:07 UTC by Marcelo Moreira de Mello
Modified: 2015-02-17 13:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:52:49 UTC


Attachments (Terms of Use)

Description Marcelo Moreira de Mello 2011-09-13 03:07:01 UTC
Description of problem:
pulseaudio cut/struggling audio at ThinkPad T61

Linux notebook.mmello.local 3.1.0-0.rc5.git0.0.fc16.x86_64 #1 SMP Fri Sep 9 14:33:44 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


[root@notebook ~]# rpm -aq | grep -e pulse -e alsa 
pulseaudio-utils-0.9.23-1.fc16.x86_64
pulseaudio-0.9.23-1.fc16.x86_64
alsa-lib-devel-1.0.24-2.fc15.x86_64
alsa-plugins-jack-1.0.24-2.fc15.x86_64
alsa-tools-firmware-1.0.24.1-3.fc16.x86_64
pulseaudio-module-bluetooth-0.9.23-1.fc16.x86_64
alsa-plugins-pulseaudio-1.0.24-2.fc15.x86_64
kde-settings-pulseaudio-4.7-3.fc16.noarch
alsa-lib-1.0.24-2.fc15.x86_64
alsa-firmware-1.0.24.1-2.fc15.noarch
pulseaudio-libs-0.9.23-1.fc16.i686
pulseaudio-libs-glib2-0.9.23-1.fc16.x86_64
pulseaudio-module-jack-0.9.23-1.fc16.x86_64
pulseaudio-module-x11-0.9.23-1.fc16.x86_64
alsa-lib-1.0.24-2.fc15.i686
pulseaudio-gdm-hooks-0.9.23-1.fc16.x86_64
pulseaudio-module-gconf-0.9.23-1.fc16.x86_64
pulseaudio-libs-0.9.23-1.fc16.x86_64
alsa-utils-1.0.24.1-3.fc15.x86_64
pulseaudio-equalizer-2.7-8.fc16.noarch


/var/log/messages
----------------
Sep 12 23:44:42 notebook pulseaudio[2469]: module-alsa-card.c: Failed to find a working profile.
Sep 12 23:44:42 notebook pulseaudio[2469]: module.c: Failed to load  module "module-alsa-card" (argument:
"device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no
card_properties="module-udev-detect.discovered=1""): initialization failed.



Version-Release number of selected component (if applicable):
Fedora 16 Alpha


How reproducible:
100%

  
Actual results:

Audio struggling 


Expected results:

Audio works as expected


Additional info:

 Workaround
------------

  Adding the module thinkpad_acpi into /etc/modprobe.d/blacklist.conf solves the issue. 

notebook $> cat /etc/modprobe.d/blacklist.conf  | grep think
blacklist thinkpad_acpi

Comment 1 Marcelo Moreira de Mello 2011-09-13 03:09:57 UTC
[root@notebook ~]# lsmod  | grep snd
snd_hda_codec_conexant    62115  1 
snd_hda_intel          28992  5 
snd_hda_codec          91636  2 snd_hda_codec_conexant,snd_hda_intel
snd_hwdep              13595  1 snd_hda_codec
snd_seq                57219  0 
snd_seq_device         14173  1 snd_seq
snd_pcm                85340  3 snd_hda_intel,snd_hda_codec
snd_timer              29131  2 snd_seq,snd_pcm
snd                    70856  17 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore              14562  1 snd
snd_page_alloc         14039  2 snd_hda_intel,snd_pcm


[root@notebook ~]# cat /proc/asound/pcm 
00-00: CONEXANT Analog : CONEXANT Analog : playback 1 : capture 1
00-01: Conexant Digital : Conexant Digital : playback 1
[root@notebook ~]# cat /proc/asound/devices 
  1:        : sequencer
  2: [ 0- 1]: digital audio playback
  3: [ 0- 0]: digital audio playback
  4: [ 0- 0]: digital audio capture
  5: [ 0- 0]: hardware dependent
  6: [ 0]   : control
 33:        : timer
[root@notebook ~]# cat /proc/asound/
card0/   cards    devices  hwdep    Intel/   modules  oss/     pcm      seq/     timers   version  
[root@notebook ~]# cat /proc/asound/cards
 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfc020000 irq 51

Comment 2 Matthias Runge 2011-09-29 20:52:39 UTC
Sadly, unloading thinkpad_acpi does not fix the problem for me here. But it seems, thinkpad_acpi gets detected as sound card (??!)

Comment 3 Matthias Runge 2011-09-29 21:19:13 UTC
OK, I just disabled volume control via keys:
[root@sofja pulse]# cat /etc/modprobe.d/thinkpad.conf 
options thinkpad_acpi experimental=1 fan_control=1 volume_mode=2

and switched off simultaneous output via paprefs

Switching simultaneous output on kills pulseaudio for me repeatable.

Comment 4 Renato Botelho 2012-03-26 13:43:36 UTC
Same problem here on a T400.

Comment 5 Stefan Jensen 2012-12-27 21:32:25 UTC
Inserting a rule for pulseaudio to ignore the "ThinkPad EC - ThinkPad Console Audio Control" in udev can solve the "initialization failed" error without blacklisting "thinkpad_acpi" entirely.

#cat /etc/udev/rules.d/95-pulseaudio.rules
SUBSYSTEMS=="platform", DRIVERS=="thinkpad_acpi", ENV{PULSE_IGNORE}="1"

#cat /proc/asound/cards
 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xee240000 irq 46
29 [ThinkPadEC     ]: ThinkPad EC - ThinkPad Console Audio Control
                      ThinkPad Console Audio Control at EC reg 0x30, fw 7BHT40WW-1.13

Maybe this should go into "/usr/lib/udev/rules.d/90-pulseaudio.rules" as a default some day.

best regards

Stefan

Comment 7 Fedora End Of Life 2013-04-03 15:58:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora End Of Life 2015-01-09 16:47:00 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-02-17 13:52:49 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.